define([
   "dojo/_base/declare",
   "dojox/mvc/getStateful",
   "dojox/mvc/at",
   "aps/View",
   "aps/ResourceStore",
   "app/displayError",
   "aps/json!./newvps.json"
],
function (declare, getStateful, at, View, Store, displayError, newVPS) {
	return declare(View, {
		init: function() {
			this.vpsModel = getStateful({"data": newVPS});
			/* Define and return widgets */
			return ["aps/Panel", {
					id: this.genId("srvNew_page")
				},
				[
					["aps/FieldSet", {
							title: "General"
						},
						[
							["aps/Output", {
								label: "Server Name",
								value: at(this.vpsModel.data, "name")
							}],
							["aps/Output", {
								label: "Description",
								value: at(this.vpsModel.data, "description")
							}]
					]],
					["aps/FieldSet", {
							title: "Server Configuration"
						},
						[
							["aps/Output", {
								label: "OS",
								value: at(this.vpsModel.data.platform.OS, "name")
							}],
							["aps/Output", {
								label: "CPU",
								value: at(this.vpsModel.data.hardware.CPU, "number")
							}],
							["aps/Output", {
								label: "Disk Space",
								value: at(this.vpsModel.data.hardware, "diskspace")
							}],
							["aps/Output", {
								label: "RAM",
								value: at(this.vpsModel.data.hardware, "memory")
							}]
					]]
				]
			];
		},
		onContext: function() {
			this.vpsModel.set("data",
				aps.context.wizardData["http://aps-standard.org/samples/basic1pdash#server-new-1"]
			);
			aps.apsc.hideLoading();
		},
		
		/* Define handlers for the navigation buttons */
		onNext: function() {
			var page = this.byId("srvNew_page");
			if (!page.validate()) {
				aps.apsc.cancelProcessing();
				return;
			}
			aps.apsc.next(this.vpsModel.data);
		},
		onPrev: function() {
			aps.apsc.prev();
		}

   });
});
